Bug 44881 - New check `samba_tool_showrepl.py`
New check `samba_tool_showrepl.py`
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.2
Other Linux
: P5 enhancement (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 15:50 CEST by Lukas Oyen
Modified: 2017-09-20 15:04 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
oyen: Patch_Available+


Attachments
nt-diagnostic-drs-showrepl-421.patch (8.86 KB, patch)
2017-06-28 15:50 CEST, Lukas Oyen
Details | Diff
qa_bug_44902.patch (2.05 KB, patch)
2017-08-10 18:46 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Oyen univentionstaff 2017-06-28 15:50:38 CEST
Created attachment 8979 [details]
nt-diagnostic-drs-showrepl-421.patch

Adds a new diagnostic check `samba_tool_showrepl.py` which executes the same code as `samba-tool drs showrepl`.

We might want to merge this with bug #40605 and bug #44876 into a more general `samba-tool` check.
Comment 1 Lukas Oyen univentionstaff 2017-08-01 16:36:33 CEST
Committed in r81642 - r81643 (advisory r81649).
Comment 2 Arvid Requate univentionstaff 2017-08-10 18:46:38 CEST
Created attachment 9112 [details]
qa_bug_44902.patch

Ok, looks good, I'd like to include the direction and the estring, see attached patch.
Comment 3 Lukas Oyen univentionstaff 2017-08-14 11:36:14 CEST
(In reply to Arvid Requate from comment #2)
> Ok, looks good, I'd like to include the direction and the estring, see
> attached patch.

Applied (with slight modification and translation) as r82095.
Comment 4 Arvid Requate univentionstaff 2017-08-24 20:45:13 CEST
Ok, works.
Comment 5 Erik Damrose univentionstaff 2017-09-20 15:04:01 CEST
<http://errata.software-univention.de/ucs/4.2/166.html>